Class {
	#name : #BaselineOfMiniDocs,
	#superclass : #BaselineOf,
	#category : #BaselineOfMiniDocs
}

{ #category : #accessing }
BaselineOfMiniDocs >> baseline: spec [
	<baseline>
	spec
		for: #common
		do: [ 
			"Dependencies"
			spec 
				baseline: 'Mustache' with: [ spec repository: 'github://noha/mustache'].
			"self xmlParserHTML: spec."
			"Packages"
			spec
				package: 'MiniDocs'
				with: [ spec requires: #('Mustache' "'XMLParserHTML'") ]
		].
	spec
		
]

{ #category : #accessing }
BaselineOfMiniDocs >> xmlParserHTML: spec [
	Metacello new
		baseline: 'XMLParserHTML';
		repository: 'github://pharo-contributions/XML-XMLParserHTML/src';
		onConflict: [ :ex | ex useLoaded ];
    	onUpgrade: [ :ex | ex useLoaded ];
    	onDowngrade: [ :ex | ex useLoaded ];
    	onWarningLog;
		load.
	spec baseline: 'XMLParserHTML' with: [spec repository: 'github://pharo-contributions/XML-XMLParserHTML/src']
]
