Class {
	#name : #PubPubGrammarTest,
	#superclass : #PP2CompositeNodeTest,
	#category : #'MiniDocs-Model'
}

{ #category : #accessing }
PubPubGrammarTest >> parserClass [
	^ PubPubGrammar
]

{ #category : #accessing }
PubPubGrammarTest >> testComposedImageLink [
	self
		parse: '![This is an image label with sublinks (bla bl)[blog]](this/is/an/image/link){this are alternate image sizes}'
		rule: #imageLink
]

{ #category : #accessing }
PubPubGrammarTest >> testImageLink [
	self
		parse: '![This is an image label](this/is/an/image/link){this are alternate image sizes}'
		rule: #imageLink
]

{ #category : #accessing }
PubPubGrammarTest >> testLabel: label [
	self
		parse: label
		rule: #linkLabel
]

{ #category : #accessing }
PubPubGrammarTest >> testLink [
	self
		parse: '[This is a label]{this/is/a/link}'
		rule: #link
]

{ #category : #accessing }
PubPubGrammarTest >> testNestedLabel [
	self
		parse: '[This is a label with [sublabels]]'
		rule: #linkLabel
]

{ #category : #accessing }
PubPubGrammarTest >> testSimpleLabel [
	self
		parse: '[This is a label]'
		rule: #linkLabel
]
